LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-23-2009, 01:35 PM   #1
ssor
LQ Newbie
 
Registered: Apr 2009
Posts: 1

Rep: Reputation: 0
Unhappy Install mod_perl 2.0 on Red Hat Enterprise Linux 5.3


Hi,
I'm totally new at Linux, but I've received the task to install mod_perl on a Red Hat Enterprise Linux Server 5.3. Muy current Apache version is 2.2.3 and perl is 5.8.8, so I have to install mod_perl 2.0. I have tried to do it, but I get the following error on the "perl Markefile.PL" step of the process:

[root@xxx mod_perl-2.0.4]# perl Makefile.PL MP_APXS=/usr/local/psa/admin/bin/apxs
Reading Makefile.PL args from @ARGV
MP_APXS = /usr/local/psa/admin/bin/apxs
no conflicting prior mod_perl version found - good.
************* WARNING *************

Your Perl is configured to link against libgdbm,
but libgdbm.so was not found.
You could just symlink it to /usr/lib64/libgdbm.so.2.0.0


************* WARNING *************
[ error] Unable to open /usr/local/psa/admin/include/ap_release.h: No such file or directory
[ error] Unable to determine server version, aborting.
[ error] Invalid MP_APXS specified?

The "ap_release.h" file is missing, but the apache server is working just fine. I really don't know how to fix this, since I'd prefer not to mess too much with the current apache installation, since there are some important configurations already in place. Please help me...I would really appreciate it.
 
Old 04-23-2009, 08:48 PM   #2
chrism01
LQ Guru
 
Registered: Aug 2004
Location: Sydney
Distribution: Centos 6.9, Centos 7.3
Posts: 17,412

Rep: Reputation: 2397Reputation: 2397Reputation: 2397Reputation: 2397Reputation: 2397Reputation: 2397Reputation: 2397Reputation: 2397Reputation: 2397Reputation: 2397Reputation: 2397
There should be a pkg available through yum or rpm to do that for you. Much easier than trying to do it by hand.
If you've paid for RHEL you can check the website via your rhn login.
If not, you could try Centos, although I wouldn't really recommend mixing them generally.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Red Hat Enterprise Linux 5 RHEL5 kickstart problem with post install tate1615 Red Hat 1 04-30-2010 04:38 AM
how to install more package in red hat linux 5 enterprise ztdep Linux - Newbie 1 04-15-2009 09:37 AM
can i install software packages for Red Hat Enterprise Linux 5 from fedora CD's sagitalk Linux - Newbie 4 08-05-2008 08:39 PM
Red Hat Enterprise Linux 4 AS install mossless Linux - Enterprise 8 03-04-2006 01:12 PM
Install Fails - Red Hat Enterprise Linux 3 on Dell Dimension 8400 jimmydetroit Red Hat 2 11-24-2004 09:53 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 05:38 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration